Tripnet - Bug #38501
Sales Report Issue
04/22/2018 04:40 pm - Sreerag Prasannan

Status: Closed Start date: 04/23/2018
Priority: Normal Due date: 04/23/2018
Assignee: % Done: 100%
Category: Functionality Estimated time: 0.00 hour
Target version: Spent time: 7.00 hours
End_Date: 04/23/2018 Areas Affected:

remarks: Files Changed:

DB Changes: Initial Planned Hours:

Keys & Permissions:

Description

In sales report when Hotel - transaction status ( ALL ) and individually refunded to customer selected and checked Bookings

we can see the dates came was wrong

example TPN727 transaction id with reconfirmed status and Refunded to customer status.

This was booked on 22/08/2017 but i have filtered in sales report from 1st april 2018 to 22 april 2018.

Hence the reconfirmed data should not be shown. Now it is displayed , please fix.

Please check with me if any doubt exist

History

#1 - 04/23/2018 08:13 am - Jubin J

- Due date set to 04/23/2018

- Status changed from New to Assigned

- Assignee set to jerin paul

- Start date changed from 04/22/2018 to 04/23/2018

#2 - 04/23/2018 09:24 am - jerin paul

- Status changed from Assigned to In Progress

#3 - 04/23/2018 04:10 pm - jerin paul

- Status changed from In Progress to Fixed not Tested
- % Done changed from 0 to 100

- End_Date set to 04/23/2018

- sales report date filtering issue fixed in 'ALL' and 'refund to customer' options.

#4 - 04/23/2018 04:36 pm - jerin paul

- updated sp - SalesRegisterReportForHotel

#5 - 04/25/2018 12:12 pm - Sreerag Prasannan
- Status changed from Fixed not Tested to Closed

- Assignee deleted (jerin paul)

issue fixed, delivered to live

#6 - 04/25/2018 04:31 pm - jerin paul

- created new patch and did unit testing.
